/*
 *
 *
 *
 */

#ifndef __PROCESSOR_H__
#define __PROCESSOR_H__

#include <testos/types.h>

struct processor_t {
	int stepping:4 ;
	int model:4 ;
	int family:4;
	int other:20;
} __attribute__ ((packed));

#define PROC_GET_STEPPING(pr) 	pr & 0x0000000f
#define PROC_GET_MODEL(pr) 	pr & 0x000000f0
#define PROC_GET_FAMILY(pr) 	pr & 0x00000f00
#define PROC_GET_TYPE(pr) 	pr & 0x00002000

#endif
